// Example from http://www.stack.nl/~dimitri/doxygen/manual/commands.html#cmdstartuml

/** Sender class. Can be used to send a command to the server.
 * The receiver will acknowledge the command by calling Ack().
 * \startuml
 * Sender->Receiver : Command()
 * Sender<--Receiver : Ack()
 * \enduml
 */
class Sender
{
public:
/** Acknowledgment from server */
	void Ack(bool ok);
};
/** Receiver class. Can be used to receive and execute commands.
 * After execution of a command, the receiver will send an acknowledgment
 * \startuml
 * Receiver<-Sender : Command()
 * Receiver-->Sender : Ack()
 * \enduml
 */
class Receiver
{
public:
/** Executable a command on the server */
	void Command(int commandId);
};
